eclipse中如何对libs中项目添加依赖

首先看张图
这里写图片描述

问题描述:

我在导入项目后发现代码中有错误,阅读错误提示后发现是项目中不能导入slidingmenu_library中类导致的。

解决

  1. 自然想到是右键项目——>properties——>Android——>Is Library中点击Add添加slidingmenu_library。
    可是问题来了,点击Add后发现弹出框中没有slidingmenu_library。
  2. 所以要先导入slidingmenu_library。在这里我犯了一个错误,当我import项目,找到libs下slidingmenu_library导入后发现项目上有红叉,是报错的。这个问题纠结好久,一直无法解决。直到偶然发现我在import项目时应该选择Existing Android Code Into WorkSpace而不是选择Existing Project Into WorkSpace时才解决,希望看到这段文字的同学能避免犯同样的错误。
  3. 这时按照第一步就能正确添加slidingmenu_library了。

没有更多推荐了,返回首页